#!/usr/bin/env python

import PIL.Image
import sys

def get_palette():
    l = []
    for i in range(0, 8):
        r = ((i / 4) % 2) * 255; g = ((i / 2) % 2) * 255; b = (i % 2) * 255
        for j in range(0, 32):
            l.extend((r, g, b))

    imp = PIL.Image.new("P", (1, 1))
    imp.putpalette(l)
    return imp

def dither(im, imp=None):
    return im.quantize(palette=imp or get_palette())

im = PIL.Image.open(sys.argv[1])
im2 = dither(im)
im2.save(sys.argv[2])

# vim: tabstop=4 expandtab shiftwidth=4
